Bug 1303901 - Colors are wrong with 16-bit depth on POWER ppc64 machine with AMD CEDAR GL graphics card
Colors are wrong with 16-bit depth on POWER ppc64 machine with AMD CEDAR GL g...
Status: MODIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mesa (Show other bugs)
7.3
ppc64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Adam Jackson
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 06:33 EST by Oded Gabbay
Modified: 2017-03-02 10:46 EST (History)
1 user (show)

See Also:
Fixed In Version: mesa-17.0.0-0.2.20170123.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
firefox example (626.03 KB, image/png)
2016-02-02 06:33 EST, Oded Gabbay
no flags Details
Qt Designer example (545.80 KB, image/png)
2016-02-02 06:34 EST, Oded Gabbay
no flags Details
glxinfo (51.05 KB, text/plain)
2016-02-02 06:36 EST, Oded Gabbay
no flags Details

  None (edit)
Description Oded Gabbay 2016-02-02 06:33:49 EST
Created attachment 1120377 [details]
firefox example

Description of problem:
The colors of applications (e.g. firefox, Qt Designer) are wrong on POWER ppc64 machine that has an AMD CEDAR GL graphics card, running with rhel 7.2

Version-Release number of selected component (if applicable):
mesa 10.6.5

Steps to Reproduce:
1. Install rhel 7.2 ppc64 on POWER machine with AMD CEDAR GL graphics card
2. Open applications, such as firefox or Qt Designer
3. See that the colors are wrong

Additional info:
Attached are screen captures of examples
Comment 1 Oded Gabbay 2016-02-02 06:34 EST
Created attachment 1120378 [details]
Qt Designer example
Comment 3 Oded Gabbay 2016-02-02 06:36 EST
Created attachment 1120380 [details]
glxinfo
Comment 4 Oded Gabbay 2016-02-05 07:02:01 EST
Just wanted to note it happens only in 16-bit color depth mode.
With 24-bit color depth, the colors look fine.
Comment 5 Oded Gabbay 2016-05-18 05:29:49 EDT
Solved in upstream mesa

Note You need to log in before you can comment on or make changes to this bug.